package com.lovecoding.day09.duotai04;

public class Test {

    public static void main(String[] args) {
        A a = new B();
        //运行时 虚方法
        a.a();

        //编译期 非虚方法
        B b = (B) a;
        b.b();
    }

}
class A{
    public void a(){
        System.out.println("a");
    }
}
class B extends A{

//    @Override
//    public void a(){
//        System.out.println("a");
//    }

    public void b(){
        System.out.println("a");
    }
}